This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 656010 - Review Request: libsrtp - An implementation of the Secure Real-time Transport Protocol (SRTP)
Review Request: libsrtp - An implementation of the Secure Real-time Transport...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dmitrij S. Kryzhevich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-22 16:01 EST by Tom "spot" Callaway
Modified: 2014-10-20 15:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: libsrtp-1.4.4-1.20101004cvs.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 03:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kryzhev: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2010-11-22 16:01:31 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/libsrtp.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/libsrtp-1.4.4-1.20101004cvs.fc14.src.rpm
Description: 
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

****
Packager's Note: This is a new dependency for libjingle.
Comment 1 Dmitrij S. Kryzhevich 2010-12-03 02:20:20 EST
rpmlint is not silent.

libsrtp.src: W: no-cleaning-of-buildroot %clean
libsrtp.src: W: no-buildroot-tag
libsrtp.src: W: no-%clean-section
libsrtp.src: W: invalid-url Source0: srtp-1.4.4-20101004cvs.tar.bz2
libsrtp.x86_64: W: shared-lib-calls-exit /usr/lib64/libsrtp.so.0.0.0 exit@GLIBC_2.2.5
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Exit call is not good. Could you provide any reasons why it might be leaved as is?

Is there any way to specify the revision for csv checkout in spec?

* The package named according to the Package Naming Guidelines.
* The spec file name match the base package %{name}. 
* The package meets the Packaging Guidelines.
* The package is licensed with a Fedora approved license.
* The License field in the package spec file matchs the actual license.
* File, containing the text of the license(s) for the package is included in %doc.
* The spec file is written in American English.
* The spec file for the package is legible.
* The sources used to build the package match the upstream source. MARK: md5sum on provided .tar.bz2 and obtained .tar.bz2 are MISMATCHED, but the sources are EQUAL.
* The package successfully compiles and builds into binary rpms on x86_64 F14.
* All build dependencies are listed in BuildRequires.
* There are no locales.
* Binary RPM package which stores shared library files calls ldconfig in %post and %postun.
* Packages do not bundle copies of system libraries.
* A package owns all directories that it creates.
* There are no files, listed more than once in the spec file's %files listings.
* Permissions on files are set properly.
* The package contains code, or permissable content.
* There is no large documentation.
* Header files are in a -devel package.
* There are no static libraries.
* Library files that end in .so (without suffix) is in a -devel package.
* Devel packages requires the base package.
* Packages doed not contain any .la libtool archives.
* All filenames in rpm packages are valid UTF-8.

All is need are the answers on two above questions.
Comment 2 Tom "spot" Callaway 2010-12-03 10:59:25 EST
Honestly, I'm not sure how to get any sort of sane revision for the tree from cvs. If you know how, I'd be happy to add it.

The exit() call is in crypto_kernel_status (in crypto/kernel/crypto_kernel.c)

  /* for each cipher type, describe and test */
  while(ctype != NULL) {
    printf("cipher: %s\n", ctype->cipher_type->description);
    printf("  instance count: %d\n", ctype->cipher_type->ref_count);
    printf("  self-test: ");
    status = cipher_type_self_test(ctype->cipher_type);
    if (status) {
      printf("failed with error code %d\n", status);
      exit(status);
    }
    printf("passed\n");
    ctype = ctype->next;
  }

Unfortunately, it is not trivial to remove that exit(), so I'm inclined to just leave it in.
Comment 3 Jason Tibbitts 2010-12-03 11:06:55 EST
With CVS all you have is a date, or a tag if upstream has made one.  There is no concept analogous to SVN's revision number or git's commit hash.
Comment 4 Dmitrij S. Kryzhevich 2010-12-04 04:41:51 EST
>Unfortunately, it is not trivial to remove that exit()

Ok. What about ping upstream?
Not a blocker. 

>With CVS all you have is a date

Yes, -D, found it. May be, just may be, it would be nice to be sure there is _this_ version that in the package. Not a blocker.

APPROVED.
Comment 5 Tom "spot" Callaway 2010-12-06 10:02:51 EST
New Package SCM Request
=======================
Package Name: libsrtp
Short Description: An implementation of the Secure Real-time Transport Protocol (SRTP)
Owners: spot jcollie
Branches: f13 f14 devel
InitialCC:
Comment 6 Jason Tibbitts 2010-12-06 11:00:31 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2010-12-06 12:48:13 EST
libsrtp-1.4.4-1.20101004cvs.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libsrtp-1.4.4-1.20101004cvs.fc13
Comment 8 Fedora Update System 2010-12-06 12:48:21 EST
libsrtp-1.4.4-1.20101004cvs.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libsrtp-1.4.4-1.20101004cvs.fc14
Comment 9 Fedora Update System 2010-12-07 15:08:22 EST
libsrtp-1.4.4-1.20101004cvs.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libsrtp'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libsrtp-1.4.4-1.20101004cvs.fc13
Comment 10 Fedora Update System 2010-12-17 03:23:36 EST
libsrtp-1.4.4-1.20101004cvs.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-12-17 03:43:31 EST
libsrtp-1.4.4-1.20101004cvs.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jeffrey C. Ollie 2011-01-24 15:23:06 EST
Package Change Request
======================
Package Name: libsrtp
New Branches: el6
Owners: jcollie
InitialCC: 

Wanted for Asterisk SRTP support.
Comment 13 Jason Tibbitts 2011-01-24 16:46:43 EST
Git done (by process-git-requests).
Comment 14 Jeffrey C. Ollie 2014-10-20 12:49:13 EDT
Package Change Request
======================
Package Name: libsrtp
New Branches: epel7
Owners: jcollie
InitialCC: 

For Asterisk SRTP support
Comment 15 Jon Ciesla 2014-10-20 15:45:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.